Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453695 - nfs install causes traceback
Summary: nfs install causes traceback
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 02:42 UTC by Dave Jones
Modified: 2015-01-04 22:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-10 17:16:16 UTC


Attachments (Terms of Use)
trace (deleted)
2008-07-02 02:42 UTC, Dave Jones
no flags Details
log (deleted)
2008-07-10 15:57 UTC, Dave Jones
no flags Details

Description Dave Jones 2008-07-02 02:42:45 UTC
gets as far as formatting disk, and then boom..

traceback in attached jpg.

Comment 1 Dave Jones 2008-07-02 02:42:45 UTC
Created attachment 310751 [details]
trace

Comment 2 Chris Lumens 2008-07-09 14:47:25 UTC
What command line arguments are you passing to anaconda, and can you attach
/tmp/anaconda.log to this bug report?

Comment 3 Dave Jones 2008-07-10 15:45:45 UTC
boot command line contains...

--loglevel=debug ksdev=bootif noipv6 repo=nfs:gelk:/mnt/data/mirror/rawhide/x86_64/

log to follow..

Comment 4 Dave Jones 2008-07-10 15:56:41 UTC
ah. this one is my fault. (though it's arguable that anaconda shouldn't
traceback, but show an error dialog instead)

In my original tests, my pxe boot command line had..

repo=nfs:gelk:/mnt/data/mirror/rawhide/x86_64/os/

this fails to get stage2, but pops up a dialog asking for the path. I deleted
the os/ part of the string, and it went on its merry way.  until it crashes with
the traceback.

pxebooting todays tree with a correct repo path works just fine.

I'll attach the log for the pathological case anyway in case you feel that
anaconda needs to be hardened against use by stupid people.

Comment 5 Dave Jones 2008-07-10 15:57:30 UTC
Created attachment 311490 [details]
log

Comment 6 Chris Lumens 2008-07-10 16:42:47 UTC
Working on the hardening right now, in fact...

Comment 7 Chris Lumens 2008-07-10 17:16:16 UTC
Okay, this should be fixed up in the next build of anaconda.


Note You need to log in before you can comment on or make changes to this bug.